Subject: Re: bug#71436: Fwd: preview in LuaTeX with RTL as main language does not work

From: Ikumi Keita <[email-masked]>
Date: Tue, 11 Jun 2024 14:45:54 +0900

Hi Udicoudco,

>>>>> Udicoudco <[email-masked]> writes:
> On Sat, Jun 8, 2024 at 1:20 PM Udicoudco <[email-masked]> wrote:
>> In LuaTeX, when \pagedirection is right to left then \pagerightoffset is
>> used instead of \hoffset to position the page. I attached a patch and an
>> example
>> that demonstrates the problem.
>> 
>> 
> There is a typo in the patch, so I attached a new one.

Thanks for your proposal, but "make" doesn't run with this patch:
,----
| gmake[1]: *** [Makefile:91: preview.pdf] Error 1
| gmake[1]: Leaving directory '/usr/home/keita/repo/auctex/auctex/latex'
| gmake: *** [Makefile:247: texmf] Error 2
`----

By the way, I suppose we need copyright assignment if this contribution
is to be incorporated into AUCTeX. Have you signed FSF copyright
assignment form before? If not, please have a look at
https://git.savannah.gnu.org/cgit/gnulib.git/tree/doc/Copyright/request-assign.future

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine
#Gaza #StopMassiveKilling #CeasefireNOW